Package org.eclipse.lemminx.settings.capabilities

## Class ServerCapabilitiesConstants

- java.lang.Object
- - org.eclipse.lemminx.settings.capabilities.ServerCapabilitiesConstants

    public class ServerCapabilitiesConstants
    extends Object

Server Capabilities Constants

### Field Summary

Fields
`static String` `CODE_ACTION_ID`
`static String` `CODE_LENS_ID`
`static String` `COLOR_ID`
`static String` `COMPLETION_ID`
`static org.eclipse.lsp4j.CodeActionOptions` `DEFAULT_CODEACTION_OPTIONS`
`static org.eclipse.lsp4j.CodeLensOptions` `DEFAULT_CODELENS_OPTIONS`
`static org.eclipse.lsp4j.ColorProviderOptions` `DEFAULT_COLOR_OPTIONS`
`static org.eclipse.lsp4j.CompletionOptions` `DEFAULT_COMPLETION_OPTIONS`
`static org.eclipse.lsp4j.DocumentLinkOptions` `DEFAULT_LINK_OPTIONS`
`static org.eclipse.lsp4j.RenameOptions` `DEFAULT_RENAME_OPTIONS`
`static org.eclipse.lsp4j.TextDocumentSyncKind` `DEFAULT_SYNC_OPTION`
`static String` `DEFINITION_ID`
`static String` `DOCUMENT_HIGHLIGHT_ID`
`static String` `DOCUMENT_SYMBOL_ID`
`static String` `FOLDING_RANGE_ID`
`static String` `FORMATTING_ID`
`static String` `FORMATTING_ON_TYPE_ID`
`static String` `FORMATTING_RANGE_ID`
`static String` `HOVER_ID`
`static String` `LINK_ID`
`static String` `LINKED_EDITING_RANGE_ID`
`static String` `REFERENCES_ID`
`static String` `RENAME_ID`
`static String` `SELECTION_RANGE_ID`
`static String` `SIGNATURE_HELP_ID`
`static String` `SYNC_ID`
`static String` `TEXT_DOCUMENT_CODE_ACTION`
`static String` `TEXT_DOCUMENT_CODE_LENS`
`static String` `TEXT_DOCUMENT_COLOR`
`static String` `TEXT_DOCUMENT_COMPLETION`
`static String` `TEXT_DOCUMENT_DEFINITION`
`static String` `TEXT_DOCUMENT_DOCUMENT_SYMBOL`
`static String` `TEXT_DOCUMENT_FOLDING_RANGE`
`static String` `TEXT_DOCUMENT_FORMATTING`
`static String` `TEXT_DOCUMENT_HIGHLIGHT`
`static String` `TEXT_DOCUMENT_HOVER`
`static String` `TEXT_DOCUMENT_LINK`
`static String` `TEXT_DOCUMENT_LINKED_EDITING_RANGE`
`static String` `TEXT_DOCUMENT_ON_TYPE_FORMATTING`
`static String` `TEXT_DOCUMENT_RANGE_FORMATTING`
`static String` `TEXT_DOCUMENT_REFERENCES`
`static String` `TEXT_DOCUMENT_RENAME`
`static String` `TEXT_DOCUMENT_SELECTION_RANGE`
`static String` `TEXT_DOCUMENT_SIGNATURE_HELP`
`static String` `TEXT_DOCUMENT_SYNC`
`static String` `TEXT_DOCUMENT_TYPEDEFINITION`
`static String` `TYPEDEFINITION_ID`
`static String` `WORKSPACE_CHANGE_FOLDERS`
`static String` `WORKSPACE_CHANGE_FOLDERS_ID`
`static String` `WORKSPACE_EXECUTE_COMMAND`
`static String` `WORKSPACE_EXECUTE_COMMAND_ID`
`static String` `WORKSPACE_SYMBOL`
`static String` `WORKSPACE_SYMBOL_ID`
`static String` `WORKSPACE_WATCHED_FILES`
`static String` `WORKSPACE_WATCHED_FILES_ID`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEXT_DOCUMENT_FORMATTING

    public static final String TEXT_DOCUMENT_FORMATTING

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_RANGE_FORMATTING

    public static final String TEXT_DOCUMENT_RANGE_FORMATTING

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_ON_TYPE_FORMATTING

    public static final String TEXT_DOCUMENT_ON_TYPE_FORMATTING

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_CODE_LENS

    public static final String TEXT_DOCUMENT_CODE_LENS

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_SIGNATURE_HELP

    public static final String TEXT_DOCUMENT_SIGNATURE_HELP

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_RENAME

    public static final String TEXT_DOCUMENT_RENAME

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_COMPLETION

    public static final String TEXT_DOCUMENT_COMPLETION

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_SYNC

    public static final String TEXT_DOCUMENT_SYNC

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_LINK

    public static final String TEXT_DOCUMENT_LINK

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_COLOR

    public static final String TEXT_DOCUMENT_COLOR

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_FOLDING_RANGE

    public static final String TEXT_DOCUMENT_FOLDING_RANGE

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_DOCUMENT_SYMBOL

    public static final String TEXT_DOCUMENT_DOCUMENT_SYMBOL

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_CODE_ACTION

    public static final String TEXT_DOCUMENT_CODE_ACTION

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_DEFINITION

    public static final String TEXT_DOCUMENT_DEFINITION

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_TYPEDEFINITION

    public static final String TEXT_DOCUMENT_TYPEDEFINITION

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_HOVER

    public static final String TEXT_DOCUMENT_HOVER

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_REFERENCES

    public static final String TEXT_DOCUMENT_REFERENCES

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_LINKED_EDITING_RANGE

    public static final String TEXT_DOCUMENT_LINKED_EDITING_RANGE

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_HIGHLIGHT

    public static final String TEXT_DOCUMENT_HIGHLIGHT

See Also:
  Constant Field Values

#### TEXT_DOCUMENT_SELECTION_RANGE

    public static final String TEXT_DOCUMENT_SELECTION_RANGE

See Also:
  Constant Field Values

#### WORKSPACE_CHANGE_FOLDERS

    public static final String WORKSPACE_CHANGE_FOLDERS

See Also:
  Constant Field Values

#### WORKSPACE_EXECUTE_COMMAND

    public static final String WORKSPACE_EXECUTE_COMMAND

See Also:
  Constant Field Values

#### WORKSPACE_SYMBOL

    public static final String WORKSPACE_SYMBOL

See Also:
  Constant Field Values

#### WORKSPACE_WATCHED_FILES

    public static final String WORKSPACE_WATCHED_FILES

See Also:
  Constant Field Values

#### FORMATTING_ID

    public static final String FORMATTING_ID

#### COMPLETION_ID

    public static final String COMPLETION_ID

#### SYNC_ID

    public static final String SYNC_ID

#### FOLDING_RANGE_ID

    public static final String FOLDING_RANGE_ID

#### LINK_ID

    public static final String LINK_ID

#### COLOR_ID

    public static final String COLOR_ID

#### FORMATTING_ON_TYPE_ID

    public static final String FORMATTING_ON_TYPE_ID

#### FORMATTING_RANGE_ID

    public static final String FORMATTING_RANGE_ID

#### CODE_LENS_ID

    public static final String CODE_LENS_ID

#### SIGNATURE_HELP_ID

    public static final String SIGNATURE_HELP_ID

#### RENAME_ID

    public static final String RENAME_ID

#### WORKSPACE_EXECUTE_COMMAND_ID

    public static final String WORKSPACE_EXECUTE_COMMAND_ID

#### WORKSPACE_SYMBOL_ID

    public static final String WORKSPACE_SYMBOL_ID

#### DOCUMENT_SYMBOL_ID

    public static final String DOCUMENT_SYMBOL_ID

#### CODE_ACTION_ID

    public static final String CODE_ACTION_ID

#### DEFINITION_ID

    public static final String DEFINITION_ID

#### TYPEDEFINITION_ID

    public static final String TYPEDEFINITION_ID

#### HOVER_ID

    public static final String HOVER_ID

#### REFERENCES_ID

    public static final String REFERENCES_ID

#### DOCUMENT_HIGHLIGHT_ID

    public static final String DOCUMENT_HIGHLIGHT_ID

#### SELECTION_RANGE_ID

    public static final String SELECTION_RANGE_ID

#### WORKSPACE_CHANGE_FOLDERS_ID

    public static final String WORKSPACE_CHANGE_FOLDERS_ID

#### WORKSPACE_WATCHED_FILES_ID

    public static final String WORKSPACE_WATCHED_FILES_ID

#### LINKED_EDITING_RANGE_ID

    public static final String LINKED_EDITING_RANGE_ID

#### DEFAULT_COMPLETION_OPTIONS

    public static final org.eclipse.lsp4j.CompletionOptions DEFAULT_COMPLETION_OPTIONS

#### DEFAULT_SYNC_OPTION

    public static final org.eclipse.lsp4j.TextDocumentSyncKind DEFAULT_SYNC_OPTION

#### DEFAULT_LINK_OPTIONS

    public static final org.eclipse.lsp4j.DocumentLinkOptions DEFAULT_LINK_OPTIONS

#### DEFAULT_RENAME_OPTIONS

    public static final org.eclipse.lsp4j.RenameOptions DEFAULT_RENAME_OPTIONS

#### DEFAULT_COLOR_OPTIONS

    public static final org.eclipse.lsp4j.ColorProviderOptions DEFAULT_COLOR_OPTIONS

#### DEFAULT_CODELENS_OPTIONS

    public static final org.eclipse.lsp4j.CodeLensOptions DEFAULT_CODELENS_OPTIONS

#### DEFAULT_CODEACTION_OPTIONS

    public static final org.eclipse.lsp4j.CodeActionOptions DEFAULT_CODEACTION_OPTIONS